APIReferenceCodes
List codes
Active codes, most recently changed first. Filter by folder, tag or name; archived=true lists archived codes instead.
Authorization
apiKey AuthorizationBearer <token>
An API key from Settings, Developers: Authorization: Bearer kc_live_...
In: header
Query Parameters
limit?integer
Items per page, 1 to 100.
Range
1 <= value <= 100Default
50cursor?string
The next_cursor from the previous page. Omit for the first page.
archived?string
true lists archived codes instead of active ones.
Default
"false"Value in
- "true"
- "false"
folderId?string
Only codes in this folder. Use root for unfiled codes.
tag?string
q?string
Name contains.
Length
length <= 200sort?string
Default
"updated"Value in
- "updated"
- "created_desc"
- "created_asc"
- "name"
- "scans"
Response Body
application/json
application/json
curl -X GET "https://example.com/codes"{ "data": [ { "id": "string", "shortCode": "string", "name": "string", "scanUrl": "string", "destination": { "type": "string", "url": "string", "pageId": "string", "summary": "string" }, "folderId": "string", "tags": [ "string" ], "archived": true, "hasAccessCode": true, "previewUrl": "string", "scans": 0, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ], "next_cursor": "string"}